<?php 
@session_start();
require_once('core/db_set.php');
require_once ('core/sanitize.inc.php');

//Check to see if their is a session open with vars below
if(!(isset($_SESSION['user_auth']) && $_SESSION['user_auth'] != '')) {
header("Location: index.php?action=error_session");
exit();
}
//Get session user
$usr_auth = isset($_SESSION['user_auth']) ? $_SESSION['user_auth'] : "";
//Sanitize Data
$usr_auth = sanitize_sql_string($usr_auth);

//Check Auth
if($usr_auth != $login_auth) {
session_destroy();
echo "<script>window.open('index.php?action=session_error','_self')</script>";
exit();
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title><?php echo $site_name; ?></title>
    <!-- Bootstrap Core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <!-- MetisMenu CSS -->
    <link href="css/plugins/metisMenu/metisMenu.min.css" rel="stylesheet">
    <!-- Timeline CSS -->
    <link href="css/plugins/timeline.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/sb-admin-2.css" rel="stylesheet">
    <!-- Morris Charts CSS -->
    <link href="css/plugins/morris.css" rel="stylesheet">
    <!-- Custom Fonts -->
    <link href="font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
<script>
function myFunction() {
    window.print();
}
</script>	
</head>

<body>
<?php
//Get Data
$check_auth = isset($_GET['auth']) ? $_GET['auth'] : "";
$check_hash = isset($_GET['file_hash']) ? $_GET['file_hash'] : "";
//Sanitize Data
$check_auth = sanitize_sql_string($check_auth);
$check_hash = sanitize_sql_string($check_hash);

if($check_auth == '') {
echo "Error: Bad Login";
exit();
}
if ($check_hash == '') {
echo "Please enter a File Hash to check";
exit();
}
require_once('core/VirusTotalApiV2.php');
$api = new VirusTotalAPIV2("$vt_apikey");
$report = $api->getFileReport($check_hash);
?>
            <div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header">&nbsp;&nbsp;Virustotal Report For <?php if(isset($report->total)) { echo $report->total; } else { echo "Not Found"; } ?>  AV
					<a href="#" onclick="myFunction()" target="_blank" class="btn btn-primary pull-right" style="margin-right: 5px;"><i class="fa fa-print"></i> Print Report</a>
					</h1>
                </div>
            </div>
                        <div class="panel-body">Hash: <strong><?php echo $check_hash; ?></strong><br />
                            <div class="table-responsive">
<table border='0' class="table table-striped table-bordered table-hover">
  <?php
  $none = 0;
  $i = 0;
  if (isset($report->scans)){
  
  foreach($report->scans as $key => $val)
  
  {
      if($i==0) {
         echo '<th width="5%"></th>';
         echo '<th width="25%">AntiVirus</th>';
         echo '<th>Detected</th>';
         echo '<th>Result</th>';
      }
      echo '<tr>';
      echo '<td>'.intval($i+1).'.</td>';
      echo '<td>'.$key.'</td>';

      if(empty($val->detected)): 
         echo "<td align='center'><img src='img/good_scan.png' width='20' /></td>";
      else: 
         //echo '<td>'. $val->detected .'</td>';
		 echo "<td align='center'><img src='img/bad_scan.png' width='20' /></td>";
      endif; 

	if(empty($val->result)):
	   echo '<td>Clean</td>';
	   else:
	   echo '<td>'.$val->result.'</td>';
	   endif; 
	   
      echo '</tr>';
      $i++;
  }
  } else { 
  echo "<br />Error Hash not found in Virus Total Database.<br />";
  }
  ?>
</table>
</div>
</div>
</div>   
</body>
</html>          