<?php
$thisScreen = 'domain_blacklist';
include_once ('top.php'); 
?>
        <div id="page-wrapper">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header">IP Blacklist Check</h1>
                    </div>
                </div>
<div class="row">				
<div class="col-lg-12">
<?php
if (!empty($_POST)) {
//Get and Post
$get_ip = isset($_POST['get_ip']) ? $_POST['get_ip'] : "";
//Sanitize Data
$get_ip = sanitize_sql_string($get_ip);

if($get_ip == '') {
	echo 'Error: Please enter a IP <a href="domain_blacklist_check.php">Back</a>';
	exit();
}

//Refresh buffer and display output
function flush_buffers(){ 
    ob_end_flush(); 
    flush(); 
    ob_start(); 
} 

//Scan IP against these dns providers also add your preferred list of DNSBL's
function dnsbllookup($ip)
{
    $dnsbl_lookup=array(
    "access.redhawk.org",
    "b.barracudacentral.org",
    "bl.csma.biz",
    "bl.emailbasura.org",
    "bl.spamcannibal.org",
    "bl.spamcop.net",
    "bl.technovision.dk",
    "blackholes.five-ten-sg.com",
    "blackholes.wirehub.net",
    "blacklist.sci.kun.nl",
    "block.dnsbl.sorbs.net",
    "blocked.hilli.dk",
    "bogons.cymru.com",
    "cart00ney.surriel.com",
    "cbl.abuseat.org",
    "dev.null.dk",
    "dialup.blacklist.jippg.org",
    "dialups.mail-abuse.org",
    "dialups.visi.com",
    "dnsbl.ahbl.org",
    "dnsbl.antispam.or.id",
    "dnsbl.cyberlogic.net",
    "dnsbl.kempt.net",
    "dnsbl.sorbs.net",
    "dnsbl-1.uceprotect.net",
    "dnsbl-2.uceprotect.net",
    "dnsbl-3.uceprotect.net",
    "duinv.aupads.org",
    "dul.dnsbl.sorbs.net",
    "dul.ru",
    "escalations.dnsbl.sorbs.net",
    "hil.habeas.com",
    "http.dnsbl.sorbs.net",
    "intruders.docs.uu.se",
    "ips.backscatterer.org",
    "korea.services.net",
    "mail-abuse.blacklist.jippg.org",
    "misc.dnsbl.sorbs.net",
    "msgid.bl.gweep.ca",
    "new.dnsbl.sorbs.net",
    "no-more-funn.moensted.dk",
    "pbl.spamhaus.org",
    "proxy.bl.gweep.ca",
    "psbl.surriel.com",
    "pss.spambusters.org.ar",
    "rbl.schulte.org",
    "rbl.snark.net",
    "recent.dnsbl.sorbs.net",
    "relays.bl.gweep.ca",
    "relays.nether.net",
    "rsbl.aupads.org",
    "sbl.spamhaus.org",
    "smtp.dnsbl.sorbs.net",
    "socks.dnsbl.sorbs.net",
    "spam.dnsbl.sorbs.net",
    "spam.olsentech.net",
    "spamguard.leadmon.net",
    "spamsources.fabel.dk",
    "tor.ahbl.org",
    "web.dnsbl.sorbs.net",
    "whois.rfc-ignorant.org",
    "xbl.spamhaus.org",
    "zen.spamhaus.org",
    "zombie.dnsbl.sorbs.net",
    //"bl.tiopan.com",
    "dnsbl.abuse.ch",
    "tor.dnsbl.sectoor.de",
    "ubl.unsubscore.com",
    "cblless.anti-spam.org.cn",
    "dnsbl.tornevall.org",
    "dnsbl.anticaptcha.net",
    "dnsbl.dronebl.org"
    );
	//Count all bad ips on sites
    $AllCount = count($dnsbl_lookup);
    $BadCount = 0;
	
	echo "<strong>Checking IP - $ip</strong><br /><br />";
	
	//Check IP against blacklist sites
    if($ip)
    {
        $reverse_ip = implode(".", array_reverse(explode(".", $ip)));
        foreach($dnsbl_lookup as $host)
        {
            if(checkdnsrr($reverse_ip.".".$host.".", "A"))
            {
                echo "<strong><font color='red'>Listed</font> on ".$reverse_ip.'.'.$host."</strong><br/>";
                flush_buffers();
                $BadCount++;
            }
            else
            {
                echo "<font color='green'>Not listed</font> on ".$reverse_ip.'.'.$host."<br/>";
                flush_buffers();
            }
        }
    }
    else
    {
        echo "Empty ip!<br/>";
        flush_buffers();
    }

	//Show this is black listed on site
    echo "<br /><br /><strong>This ip has ".$BadCount." bad listings of ".$AllCount."</strong><br /><br/><br /><br/>";
    flush_buffers();

}
//Clean data and dns lookup
if(preg_match("/^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}\z/",@$get_ip) == true)
{
    dnsbllookup($get_ip);
}

} else {
?>
<form method="post">
Enter IP: (Example 71.91.102.163) <br /><br />
<input type="text" name="get_ip" id="get_ip" placeholder="71.91.102.163" class="form-control">
<br />
<button type="submit" value="Check Blacklist for IP" class="btn btn-large btn-primary"><i class='fa fa-check'></i> Check Blacklist for IP</button>
</form>
<?php } ?>
</div></div>
<?php include_once ('bottom.php'); ?>