<?php 
//CopyRight 2018 Ignitepros.com
header("Expires: Sat, 01 Jan 2000 00:00:00 GMT");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: post-check=0, pre-check=0",false);
session_cache_limiter();
session_start();

require_once ('core/db_set.php');
require_once ('core/sanitize.inc.php');

//Get User IP
$ipadd = ip();
//Get Data/Session	
$login_auth_check = isset($_GET['auth']) ? $_GET['auth'] : "";
$usr_email = isset($_SESSION['user_email']) ? $_SESSION['user_email'] : "";
$usr_auth = isset($_SESSION['user_auth']) ? $_SESSION['user_auth'] : "";

//Decode Hash
$usr_email = base64_decode($usr_email);

//Sanitize Data
$login_auth_check = sanitize_sql_string($login_auth_check);
$usr_email = sanitize_sql_string($usr_email);
$usr_auth = sanitize_sql_string($usr_auth);

//Check Auth
if($usr_auth != $login_auth) {
session_destroy();
echo "<script>window.open('index.php?action=session_error','_self')</script>";
exit();
}
//Check User Login Auth
if($login_auth_check != $login_auth) {
session_destroy();
echo "<script>window.open('index.php?action=session_error','_self')</script>";
exit();
}
//Check Session Timeout
if(!isset( $_SESSION['user_email'] ) || time() - $_SESSION['login_time'] > $st_timeout) {
echo "<script>window.open('index.php?action=error_session','_self')</script>";
exit();	
}

//Checking the user login session
$sel_loginuser = "SELECT * FROM login_users where user_email = '$usr_email'";
$run_lguser = mysqli_query($con, $sel_loginuser);
$check_lguser = mysqli_num_rows($run_lguser);
//check if user is in db
if($check_lguser != '1') {
session_destroy();
echo "<script>window.open('index.php?action=session_error','_self')</script>";
exit();
}
//Grab logged in User info
$result_login = mysqli_query($con,"SELECT * FROM login_users WHERE user_email = '$usr_email'");
while($row = mysqli_fetch_array($result_login))
  {
  $user_id = $row['user_id'];
  $first = $row['fname'];
  $last = $row['lname'];
  $email = $row['user_email'];
  $type = $row['group_type'];
  $ldate = $row['last_date'];  
  $iplogin = $row['last_ip'];
  $is_active = $row['is_active'];  
  }
  
//Check for Active Account
if($is_active != 1) {
echo "<script>window.open('index.php?action=error_notactive','_self')</script>";
exit();		
}	

//MD5 USR ID
$hash_usrid = md5($user_id); 
$basehash_usrid = base64_encode($user_id);

//Grab Alerts Count
$result56 = mysqli_query($con,"SELECT * FROM alerts WHERE (user_email = '$usr_email' or user_email = 'cron') and read_usr = '0'");
$num_alerts = mysqli_num_rows($result56);
//Search Accounts
$search_md5 = isset($_POST['search_md5']) ? $_POST['search_md5'] : "";  
$search_md5 = stripslashes(htmlspecialchars($search_md5, ENT_QUOTES));
//Sanitize Data
$search_md5 = sanitize_sql_string($search_md5);
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title><?php echo $site_name; ?></title>
    <!-- Bootstrap Core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <!-- MetisMenu CSS -->
    <link href="css/plugins/metisMenu/metisMenu.min.css" rel="stylesheet">
    <!-- Timeline CSS -->
    <link href="css/plugins/timeline.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="css/sb-admin-2.css" rel="stylesheet">
    <!-- Morris Charts CSS -->
    <link href="css/plugins/morris.css" rel="stylesheet">
    <!-- Custom Fonts -->
    <link href="font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <!-- DataTables CSS -->
    <link href="vendor/datatables-plugins/dataTables.bootstrap.css" rel="stylesheet">
    <!-- DataTables Responsive CSS -->
    <link href="vendor/datatables-responsive/dataTables.responsive.css" rel="stylesheet">	
    <!-- jQuery -->
    <script src="js/jquery.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="js/bootstrap.min.js"></script>
    <!-- Metis Menu Plugin JavaScript -->
    <script src="js/plugins/metisMenu/metisMenu.min.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="js/sb-admin-2.js"></script>
	<script src="assets/tinymce/tinymce.min.js"></script>	
<?php if ($thisScreen != 'credit_check') { ?>	
    <script>tinymce.init({ selector:'textarea' });</script>
<?php } ?>
<script>
window.setTimeout(function() {
    $(".alert").fadeTo(500, 0).slideUp(500, function(){
        $(this).remove(); 
    });
}, 5000);

function goBack() {
    window.history.back();
}
</script>		
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>
    <div id="wrapper">
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <div class="navbar-header">
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href=""><?php echo $site_name; ?>
				<?php
			//Check for Demo Mode
			if($demo_mode == 1) {
			echo '<div class="label label-warning"><font face="arial">Demo Mode some functions are Disabled.</font></div>';
			} ?>
				</a>
            </div>
			<!-- <div class="navbar-brand2"> <?php //if($thisNews == 'Yes') { echo $page_header_news; } ?></div> -->
            <!-- /.navbar-header -->

            <ul class="nav navbar-top-links navbar-right">
			<li class="dropdown alerts-dropdown">
              <a href="" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-bell"></i> Alerts <span class="badge"><?php echo $num_alerts; ?></span> <b class="caret"></b></a>
              <?php if ($num_alerts <= '0') { ?>
			  <ul class="dropdown-menu">
                <li><a href="alerts.php?auth=<?php echo $login_auth_check; ?>"><span class="label label-primary">No Alerts</span></a></li>
              </ul>
			  <?php } else { ?>
			  <ul class="dropdown-menu">
			  <?php
			  //Grab User Alerts		
$resultlogin = mysqli_query($con,"SELECT * FROM alerts WHERE (user_email = '$email' or user_email = 'cron') and read_usr = '0' ORDER BY id DESC LIMIT 10");
while($row = mysqli_fetch_array($resultlogin))
  {
  //grab user info
  $alert_date = $row['date'];
  $desc = $row['details'];
  $read_status = $row['read_usr'];
  
echo "<li><a href='alerts.php?auth=$login_auth_check'>$desc $alert_date</a></li>";
 } ?>
              </ul>
			  <?php } ?>
            </li>
                <li class="dropdown">
                    <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                        <i class="fa fa-user fa-fw"></i> <?php echo $first .' '.$last; ?> <i class="fa fa-caret-down"></i>
                    </a>
                    <ul class="dropdown-menu dropdown-user">
                        <li <?php if ($thisScreen == 'login_alerts') { echo "class='active'"; } ?>><a href="alerts.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-info-circle fa-fw"></i> Alerts</a>
                        </li>
						<li <?php if ($thisScreen == 'my_profile') { echo "class='active'"; } ?>><a href="user_profile.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-user fa-fw"></i> My Profile</a>
                        </li>
                        <li <?php if ($thisScreen == 'change_password') { echo "class='active'"; } ?>><a href="change_pass_now.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-gear fa-fw"></i> Change Password</a>
                        </li>
                        <li class="divider"></li>
                        <li><a href="logout.php?action=logout"><i class="fa fa-sign-out fa-fw"></i> Logout</a>
                        </li>
                    </ul>
                </li>
            </ul>
            <div class="navbar-default sidebar" role="navigation">
                <div class="sidebar-nav navbar-collapse">
                    <ul class="nav" id="side-menu">
					<li class="sidebar-search">
					<form action="hash_dbview.php?auth=<?php echo $login_auth_check; ?>" method="post">
                            <div class="input-group custom-search-form">
                                <input type="text" name="search_md5" class="form-control" value="<?php echo $search_md5; ?>" placeholder="Search MD5 Hash's">
                                <span class="input-group-btn">
                                <button type="submit" class="btn btn-default">
                                    <i class="fa fa-search"></i>
                                </button>
								</form>
                            </span>
                            </div>
                        </li>
                        <li>
                            <a <?php if ($thisScreen == 'dashboard') { echo "class='active'"; } ?> href="dashboard.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-dashboard fa-fw"></i> Dashboard</a>
                        </li>

<li <?php foreach($check_profile_page as $value){
  if($value == $thisScreen){
    echo 'class="active"';
				} } ?>>
                            <a href="#"><i class="fa fa-user fa-fw"></i> My Info<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level">
						<li><a <?php if ($thisScreen == 'my_profile') { echo "class='active'"; } ?> href="user_profile.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-user fa-fw"></i> My Profile</a>
                        </li>
						<li>
                          <a <?php if ($thisScreen == 'my_notes') { echo "class='active'"; } ?> href="my_notes.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-file fa-fw"></i> My Notes</a>
                        </li>
      <li><a <?php if ($thisScreen == 'login_alerts') { echo "class='active'"; } ?> href="alerts.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-bell fa-fw"></i> Alerts</a>
                        </li>						
                        <li><a <?php if ($thisScreen == 'change_password') { echo "class='active'"; } ?> href="change_pass_now.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-lock fa-fw"></i> Change Password</a>
                        </li>
								</ul>
							</li>
							
						<li <?php foreach($check_domain_page as $value){
  if($value == $thisScreen){
    echo 'class="active"';
				} } ?>>
                            <a href="#"><i class="fa fa-cloud fa-fw"></i> Domain Tools<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level">
                                <li>
                                    <a <?php if ($thisScreen == 'domain_whois') { echo "class='active'"; } ?> href="domain_whois.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-info-circle fa-fw"></i> Who is Lookup</a>
                                </li>
                                <li>
                                    <a <?php if ($thisScreen == 'domain_toip') { echo "class='active'"; } ?> href="domain_toip.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-retweet fa-fw"></i> Domain to IP</a>
                                </li>
								<li>
                                    <a <?php if ($thisScreen == 'domain_avail') { echo "class='active'"; } ?> href="domain_avail.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-check fa-fw"></i> Domain Availability</a>
                                </li>
								<li>
                                    <a <?php if ($thisScreen == 'domain_blacklist') { echo "class='active'"; } ?> href="domain_blacklist_check.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-shield fa-fw"></i> IP Blacklist Check</a>
                                </li>
								</ul>
							</li>
                                                            
						<li <?php foreach($check_hash_page as $value){
  if($value == $thisScreen){
    echo 'class="active"';
				} } ?>>
                            <a href="#"><i class="fa fa-bars fa-fw"></i> Hash Tools<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level">
                       
                                <li>
                                    <a <?php if ($thisScreen == 'hash_db') { echo "class='active'"; } ?> href="hash_dbview.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-slack fa-fw"></i> Hash Database</a>
                                </li>
								 <li>
                                    <a <?php if ($thisScreen == 'hash_insert') { echo "class='active'"; } ?> href="hash_insert.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-plus fa-fw"></i> Insert Single Hash</a>
                                </li>
                                <li>
                                    <a <?php if ($thisScreen == 'hash_uh') { echo "class='active'"; } ?> href="upload_filehashs.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-upload fa-fw"></i> Upload/Import Hash's</a>
                                </li>
                                <li>
                                    <a <?php if ($thisScreen == 'hash_hs') { echo "class='active'"; } ?> href="hash_settings.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-wrench fa-fw"></i> Hash Settings</a>
                                </li>
								<li>
                                    <a <?php if ($thisScreen == 'hash_hg') { echo "class='active'"; } ?> href="hash_gen.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-repeat fa-fw"></i> Hash Generators</a>
                                </li>
								<li>
                                    <a <?php if ($thisScreen == 'hash_ufh') { echo "class='active'"; } ?> href="hash_scanfile.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-file-text fa-fw"></i> Upload File to get hash</a>
                                </li>
								</ul>
							</li>
                            
						<li <?php foreach($check_vt_page as $value){
  if($value == $thisScreen){
    echo 'class="active"';
				} } ?>>
                            <a href="#"><i class="fa fa-database fa-fw"></i> VirusTotal Tools<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level">
      
                                <li>
                                    <a <?php if ($thisScreen == 'vt_websitescan') { echo "class='active'"; } ?> href="vt_wsscan.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-tasks fa-fw"></i> Website Virus Scan</a>
                                </li>
                                <li>
                                    <a <?php if ($thisScreen == 'vt_md5scan') { echo "class='active'"; } ?> href="md5_hashscan.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-book fa-fw"></i> MD5 Hash Scan</a>
                                </li>
								</ul>
							</li>
                            
						<li <?php foreach($check_uptime_page as $value){
  if($value == $thisScreen){
    echo 'class="active"';
				} } ?>>
                            <a href="#"><i class="fa fa-signal fa-fw"></i> Uptime Monitor's<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level">
						<li>
                          <a <?php if ($thisScreen == 'up_monitor') { echo "class='active'"; } ?> href="uptime_monitor.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-bar-chart-o fa-fw"></i> Monitor's</a>
                        </li>
						<li>
                          <a <?php if ($thisScreen == 'add_monitor') { echo "class='active'"; } ?> href="add_monitor.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-plus fa-fw"></i> Add Monitor's</a>
                        </li>
							</ul>
							</li>
						
						<li <?php foreach($check_misc_page as $value){
  if($value == $thisScreen){
    echo 'class="active"';
				} } ?>>
                            <a href="#"><i class="fa fa-sitemap fa-fw"></i> MISC Tools<span class="fa arrow"></span></a>
                            <ul class="nav nav-second-level">
                        <li>
                          <a <?php if ($thisScreen == 'pass_gen') { echo "class='active'"; } ?> href="tool_pass.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-wrench fa-fw"></i> Password Generator</a>
                        </li>
						<li>
                          <a <?php if ($thisScreen == 'domain_scan') { echo "class='active'"; } ?> href="domain_scan.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-shield fa-fw"></i> Port Scan</a>
                        </li>
						<li>
                          <a <?php if ($thisScreen == 'grabuserip') { echo "class='active'"; } ?> href="grabusrip.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-code-fork fa-fw"></i> Grab User IP</a>
                        </li>
						<li>
                          <a <?php if ($thisScreen == 'fileshell') { echo "class='active'"; } ?> href="fileshell.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-file fa-fw"></i> File Shell Scanner</a>
                        </li>
						<li>
						<a <?php if ($thisScreen == 'credit_check') { echo "class='active'"; } ?> href="creditcard_check.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-credit-card fa-fw"></i> Credit Card Check</a>
						</li>
						<li>
                          <a <?php if ($thisScreen == 'security_news') { echo "class='active'"; } ?> href="rss_news.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-rss fa-fw"></i> Security News</a>
                        </li>
                            </ul>
							</li>
					<?php if($type == 1) { ?>
			<li class="<?php foreach($check_admin_page as $value){
			if($value == $thisScreen){
			echo 'active';
				} } ?> treeview">
              <a href="#">
                <i class="fa fa-gears"></i>
                <span>Admin Settings</span>
				<i class="fa fa-angle-left pull-right"></i>
              </a>
              <ul class="nav nav-second-level">
				<li><a <?php echo ($thisScreen=='Users List') ? ' class="active"' : ''; ?> href="users_list.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-users"></i> Users List</a></li>
                <li><a <?php echo ($thisScreen=='New User') ? ' class="active"' : ''; ?> href="new_usr_account.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-plus"></i> Create User</a></li>
                <li><a <?php echo ($thisScreen=='Panel Logs') ? ' class="active"' : ''; ?> href="panel_logs.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-book"></i> Logs</a></li>
			    <li><a <?php echo ($thisScreen=='Panel Settings') ? ' class="active"' : ''; ?> href="panel_settings.php?auth=<?php echo $login_auth_check; ?>"><i class="fa fa-gear"></i> Site Settings</a></li>
			  </ul>
            </li>
			<?php } 
//Check for Demo Mode
if($demo_mode == 1) {?>	
				<li class="treeview">
              <a href="http://securitytools.ignitepros.com/documentation" target="_blank">
                <i class="fa fa-book"></i> <span>Documentation</span>
              </a>
            </li>	
<?php } ?>		
                    </ul>
                </div>
            </div>
        </nav>